<template>
	<div>
		<el-tabs v-model="activeName" @tab-click="handleClick">
			<el-tab-pane label="项目列表" name="third">
				<div style="display: inline-block;">
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>状态：</span>
						<el-select v-model="statusId" style="width:150px;margin-left: 10px;"
							@change="animeDat3(status)">
							<el-option v-for="item in statuss" :key="item.value" :label="item.title" :value="item.id">
							</el-option>
						</el-select>&nbsp;&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>用户名称：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入用户名称"
							v-model="search">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>电话：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入电话"
							v-model="phone">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>地址：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入地址"
							v-model="address">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>公司名称：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入公司名称"
							v-model="companyName">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>项目类型：</span>
						<el-select v-model="projectType" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in xmlxData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>项目甲方：</span>
						<el-select v-model="projectName" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in xmjfData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 3px;">
						<span>项目福利：</span>
						<el-select v-model="projectAward" style="width:150px;margin-left: 10px;"
							@change="phoneSelect()">
							<el-option v-for="item in flxmData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					
					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="phoneSelect">查询
					</el-button>
					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="cleans2">重置
					</el-button>&nbsp;&nbsp;
				</div>
				<div style="float: right;margin-right:2%;">
				</div>
				<el-table v-loading="tableDataLoading" :data="choicenData.records">
					<el-table-column prop="postPushId" label="编号" width="80" fixed="left">
					</el-table-column>
					<el-table-column prop="companyName" label="公司名称" width="100" fixed="left">
					</el-table-column>
					<el-table-column prop="projectType" label="项目类型" width="150">
					</el-table-column>
					<el-table-column prop="projectName" label="项目甲方" width="150">
					</el-table-column>
					<el-table-column prop="projectDayNum" label="工期" width="150">
					</el-table-column>
					<el-table-column prop="projectAward" label="项目福利" width="100">
					</el-table-column>
					<el-table-column prop="address" label="地址" width="100">
					</el-table-column>
					<el-table-column prop="userName" label="用户名称" width="140">
					</el-table-column>
					<el-table-column prop="phone" label="电话" width="140">
					</el-table-column>
					<el-table-column prop="email" label="电子邮箱" width="100">
					</el-table-column>
					<el-table-column prop="payMoney" label="支付定金" width="100">
					</el-table-column>
					<el-table-column prop="projectPrincipalName" label="项目负责人姓名" width="100">
					</el-table-column>
					<el-table-column prop="projectPrincipalPhone" label="项目负责人电话" width="100">
					</el-table-column>
					<el-table-column prop="isTop" label="是否置顶" width="100" fixed="right">
						<template slot-scope="scope">
							<el-switch v-model="scope.row.isTop"
								:disabled="!isAuth('locality:update')" @change="change3(scope.row.isTop,scope.row)"
								:active-value="openValue" :inactive-value="closeValue" active-color="#13ce66"
								inactive-color="#ff4949">
							</el-switch>
						</template>
					</el-table-column>
					<el-table-column prop="status" label="状态" width="100" fixed="right">
						<template slot-scope="scope">
							<span style="color: #4f9dec;" v-if="scope.row.status === 1 ">待审核</span>
							<!-- <el-switch v-if="scope.row.status ==0 || scope.row.status ==2" v-model="scope.row.status"
								:disabled="!isAuth('locality:update')" @change="change3(scope.row.state,scope.row)"
								:active-value="openValue" :inactive-value="closeValue" active-color="#13ce66"
								inactive-color="#ff4949">
							</el-switch> -->
							<span style="color: #4f9dec;" v-if="scope.row.status === 2 ">正常</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 3 ">完成</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 4 ">未完成</span>
							<span style="color: #999;" v-if="scope.row.status === 5 ">已取消</span>
							<span style="color: #999;" v-if="scope.row.status === 6 ">拒绝</span>
						</template>
					</el-table-column>
					<el-table-column prop="updateTime" label="更新时间" width="180">
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="180">
					</el-table-column>
					<el-table-column label="操作" prop="id" width="150" fixed='right' align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" v-if="scope.row.status === 1 "
								@click="shenhe( scope.row)" :disabled="!isAuth('locality:shenhe')">项目审核</el-button>
							<el-button size="mini" type="primary" @click="delClicks(scope.row)" style="margin: 5px;">
								项目详情
							</el-button>
							<el-button size="mini" type="primary" :disabled="!isAuth('locality:update')"
								@click="wanchengCompile(scope.row)" style="margin: 5px;">完成状态
							</el-button>
							<el-button size="mini" type="danger" :disabled="!isAuth('locality:delete')"
								@click="choidelete(scope.row)" style="margin: 5px;">删除项目
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;float:right">
					<el-pagination @size-change="handleSizeChange1" @current-change="handleCurrentChange1"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="choicenData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="报名列表" name="first">
				<div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>姓名：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelectBm" placeholder="请输入姓名"
							v-model="resumesName">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>电话：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelectBm" placeholder="请输入电话"
							v-model="resumesPhone">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>项目福利：</span>
						<el-select v-model="projectAward" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()">
							<el-option v-for="item in flxmData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>项目甲方：</span>
						<el-select v-model="projectName" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()">
							<el-option v-for="item in xmjfData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>学历：</span>
						<el-select v-model="resumesEducation" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()">
							<el-option v-for="item in xlData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>岗位：</span>
						<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入职位" v-model="resumesPostT">
						</el-input>&nbsp;&nbsp; -->
						<el-select v-model="resumesPost" style="width:200px;margin-left: 10px;"
							@change="selectG(resumesPost)">
							<el-option v-for="item in zwData" :key="item.ruleClassifyId" :label="item.ruleClassifyName"
								:value="item">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>专业：</span>
						<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入专业" v-model="rulePostNameT">
						</el-input>&nbsp;&nbsp; -->
						<el-select v-model="rulePostName" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()" :disabled="isshow">
							<el-option v-for="item in zyData" :key="item.id" :label="item.rulePostName"
								:value="item.rulePostName">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<!-- <div style="position: relative;display: inline-block;margin: 5px;">
						<span>专业：</span>
						<el-select v-model="resumesMajor" style="width:150px;margin-left: 10px;" @change="phoneSelectBm()">
							<el-option v-for="item in zyData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div> -->
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>工作经验：</span>
						<el-select v-model="resumesWorkExperience" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()">
							<el-option v-for="item in gzjyData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<!-- <div style="position: relative;display: inline-block;margin: 5px;">
						<span>职位：</span>
						<el-select v-model="resumesPost" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()">
							<el-option v-for="item in zwData" :key="item.ruleClassifyName"
								:label="item.ruleClassifyName" :value="item.ruleClassifyName">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div> -->
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>期望薪资：</span>
						<el-select v-model="resumesCompensation" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()">
							<el-option v-for="item in qwxzData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>婚姻状态：</span>
						<el-select v-model="resumesMarriage" style="width:150px;margin-left: 10px;"
							@change="phoneSelectBm()">
							<el-option v-for="item in hyData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>年龄：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelectBm" placeholder="请输入年龄"
							v-model="resumesAge">
						</el-input>&nbsp;&nbsp;
					</div>



					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="phoneSelectBm">查询
					</el-button>
					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="cleansBm">重置
					</el-button>&nbsp;&nbsp;
				</div>
				<el-table v-loading="tableDataLoading" :data="tableData.list">
					<el-table-column prop="postDetailsId" label="编号" width="80" fixed="left">
					</el-table-column>
					<el-table-column prop="resumesName" label="姓名" width="100">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.resumes"
								@click="updates(scope.row.resumes)">{{scope.row.resumes.resumesName ? scope.row.resumes.resumesName : '未绑定'}}</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumesPhone" label="电话" width="150">
						<template slot-scope="scope">
							<span v-if="scope.row.resumes">{{scope.row.resumes.resumesPhone }}</span>
						</template>
					</el-table-column>

					<el-table-column prop="postPush.projectName" label="项目甲方">
					</el-table-column>
					<el-table-column prop="postPush.projectAward" label="项目福利">
					</el-table-column>
					<el-table-column prop="resumes.resumesPost" label="岗位">
					</el-table-column>
					<el-table-column prop="resumes.rulePostName" label="专业">
					</el-table-column>
					<el-table-column prop="resumes.resumesEducation" label="学历">
					</el-table-column>
					<el-table-column prop="resumes.resumesAge" label="年龄">
					</el-table-column>
					<el-table-column prop="resumes.resumesMarriage" label="婚姻状态">
					</el-table-column>
					<el-table-column prop="resumes.resumesWorkExperience" label="工作经验" width="160">
					</el-table-column>
					<!-- <el-table-column prop="resumes.resumesPost" label="职位">
					</el-table-column> -->
					<el-table-column prop="resumesImage" label="资质证书" width="150">
						<template slot-scope="scope">
							<div style="display:flex;flex-wrap: wrap;"
								v-if="scope.row.resumes&&scope.row.resumes.resumesImage">
								<div v-for="(item,index) in scope.row.resumes.resumesImage.split(',')" :key="index">
									<el-popover placement="top-start" title="" trigger="hover">
										<img style="width: 50px; height: 50px" :src="item" alt="" slot="reference">
										<img style="width: 200px; height: 200px" :src="item" alt="">
									</el-popover>
								</div>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="resumes.resumesEmail" label="邮箱" width="160">
					</el-table-column>
					<el-table-column prop="resumes.resumesCompensation" label="期望薪资" width="160">
					</el-table-column>
					<el-table-column prop="resumes.resumesDetails" label="自我介绍" width="160">
					</el-table-column>
					<el-table-column prop="resumes.status" label="状态" width="80" fixed="right">
						<template slot-scope="scope">
							<span style="color: #4f9dec;" v-if="scope.row.status === 1 ">待推送</span>
							<span style="color: red;" v-if="scope.row.status === 2 ">已推送</span>
							<span style="color: #999;" v-if="scope.row.status === 3 ">未完成</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumes.createTime" label="创建时间" width="200">
					</el-table-column>
					<el-table-column label="操作" prop="id" width="160" fixed='right' align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" @click="delClicks(scope.row)" style="margin: 5px;">
								项目详情
							</el-button>
							<el-button size="mini" type="warning" @click="delClickJl(scope.row.resumes)"
								style="margin: 5px;">
								简历详情
							</el-button>
							<el-button size="mini" type="primary" @click="tuisongClicks(scope.row)"
								v-if="scope.row.status === 1 " style="margin: 5px;">
								加入待推送
							</el-button>
							<el-button size="mini" type="primary" @click="phoneClicks(scope.row.resumes)"
								style="margin: 5px;">
								查看电话
							</el-button>

							<el-button size="mini" type="danger" :disabled="!isAuth('locality:delete')"
								@click="choideleteJl(scope.row)">删除
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="tableData.totalCount">
					</el-pagination>
				</div>
			</el-tab-pane>

			<!-- 服务审核弹框 -->
			<el-dialog title="项目审核" :visible.sync="dialogFormVisible8" center>
				<el-radio-group v-model="radio" style="width: 100%;margin-bottom: 30px;margin-left: 200px;">
					<el-radio :label="1">通过</el-radio>
					<el-radio :label="2">驳回</el-radio>
				</el-radio-group>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">审核理由：</span>
					<el-input style="width:50%;" v-model="contents" type="text" placeholder="请输入审核理由"></el-input>
				</div>
				<div slot="footer" class="dialog-footer">
					<el-button @click="dialogFormVisible8 = false">取 消</el-button>
					<el-button type="primary" @click="refuseto()">确 定</el-button>
				</div>
			</el-dialog>
			<!-- 完成状态弹框 -->
			<el-dialog title="完成状态" :visible.sync="dialogFormVisible1" center>
				<el-radio-group v-model="radio" style="width: 100%;margin-bottom: 30px;margin-left: 200px;">
					<el-radio :label="3">已完成</el-radio>
					<el-radio :label="4">未完成</el-radio>
				</el-radio-group>
				<div slot="footer" class="dialog-footer">
					<el-button @click="dialogFormVisible1 = false">取 消</el-button>
					<el-button type="primary" @click="wanchengBtn()">确 定</el-button>
				</div>
			</el-dialog>
			<!-- 电话弹框  -->
			<el-dialog title="电话" :visible.sync="dialogFormVisiblePh" center>
				<div>
					<el-row>
						<el-col :span="12" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">姓名</div>
									<div class="text_color">{{resumesNameP}}</div>
								</div>
							</div>
						</el-col>
						<el-col :span="12" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">电话</div>
									<div class="text_color">{{resumesPhoneP}}</div>
								</div>
							</div>
						</el-col>
					</el-row>
				</div>
			</el-dialog>
		</el-tabs>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				openValue: 2,
				closeValue: 1,
				page: 1,
				state: '',
				limit: 10,
				activeName: 'third',
				tableDataLoading: true,
				dialogFormVisible1: false,
				dialogFormVisible8: false,
				choicenData: {},
				userId: '',
				search: '',
				statusId: '',
				statuss: [{
						id: '',
						title: '全部'
					},
					{
						id: 1,
						title: '待审核'
					},
					{
						id: 2,
						title: '正常'
					},
					{
						id: 3,
						title: '完成'
					},
					{
						id: 4,
						title: '未完成'
					},
					{
						id: 5,
						title: '已取消'
					},
					{
						id: 6,
						title: '拒绝'
					}
				],

				phone: '', //电话
				shenheId: 0, //审核id
				contents: '', //驳回理由
				radio: 1,
				titles: '添加服务分类',
				companyName: '',
				zyData: [],
				zwData: [],
				gzjyData: [],
				xlData: [],
				hyData: [],
				qwxzData: [],
				xmjfData: [],
				flxmData: [],
				xmlxData:[],
				projectType:'',
				projectName: '',
				projectAward: '',
				tableData: {},

				resumesName: '',
				resumesPhone: '',
				resumesEducation: '',
				resumesMajor: '',
				resumesWorkExperience: '',
				resumesCompensation: '',
				resumesMarriage: '',
				resumesAge: '',
				rulePostName: '',
				resumesPost: '',
				dialogFormVisiblePh: false,
				resumesNameP: '',
				resumesPhoneP: '',
				isshow: true,
				ruleClassifyId: '',
				ruleMajorA: [],
				rulePostNameT: '',
				resumesPostT: '',
				address:'',
			}
		},
		methods: {

			handleSizeChange1(val) {
				this.limit = val
				this.InformationSelect()
			},
			handleCurrentChange1(val) {
				this.page = val
				this.InformationSelect()
			},
			handleSizeChange(val) {
				this.limit = val;
				this.dataSelectBm()
			},
			handleCurrentChange(val) {
				this.page = val;
				this.dataSelectBm()
			},

			handleClick(tab, event) {
				this.page = 1
				if (tab._props.label == '项目列表') {
					this.InformationSelect()
				}
				if (tab._props.label == '报名列表') {
					this.dataSelectBm()
				}
			},

			// 查询
			phoneSelect() {
				this.page = 1
				this.InformationSelect()
			},
			// 重置
			cleans2() {
				this.companyName = ''
				this.statusId = ''
				this.search = ''
				this.phone = ''
				this.address = ''
				this.projectName = ''
				this.projectAward = ''
				this.projectType = ''
				this.page = 1
				this.InformationSelect()
			},

			// 信息数据
			InformationSelect() {
				this.userId = this.$store.state.user.id
				this.$http({
					url: this.$http.adornUrl('/postPush/selectPostPushList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userName': this.search,
						'classify': 2,
						'status': this.statusId,
						'companyName': this.companyName,
						'phone': this.phone,
						'projectName': this.projectName,
						'projectAward': this.projectAward,
						'address':this.address,
						'projectType':this.projectType
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.choicenData = returnData
				})
			},

			// 审核
			shenhe(row) {
				this.shenheId = row.postPushId
				this.dialogFormVisible8 = true
			},
			// 提交审核
			refuseto(row) {
				if (this.radio == 2 && this.contents == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入驳回理由',
						type: 'warning'
					})
					return
				} else {
					let ids = this.shenheId
					let status = this.radio
					let content = this.contents
					this.$http({
						url: this.$http.adornUrl('postPush/auditPostPush'),
						method: 'post',
						params: this.$http.adornParams({
							'ids': ids,
							'status': status,
							'content': content
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.dialogFormVisible8 = false
							this.$message({
								message: '审核完成',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.radio = 0
									this.contents = ''
									this.InformationSelect()
									this.dataSelectJzts()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'error',
								duration: 1500,
								onClose: () => {}
							})
						}

					})
				}
			},
			// 删除项目信息
			choidelete(row) {
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('postPush/cleanPostPush'),
						method: 'post',
						params: this.$http.adornParams({
							'postPushId': row.postPushId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.InformationSelect()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {}
							})
						}
					})
				}).catch(() => {})
			},
			animeDat3(state) {
				this.page = 1
				this.InformationSelect()
			},
			// 查看项目详情
			delClicks(row) {
				this.$router.push({
					path: '/postPushDetails',
					query: {
						postPushId: row.postPushId
					}
				})
			},
			// 查看简历详情
			delClickJl(row) {
				this.$router.push({
					path: '/resumeDetails',
					query: {
						resumesId: row.resumesId
					}
				})
			},
			// 完成状态弹框
			wanchengCompile(row) {
				this.radio = ''
				this.shenheId = row.postPushId
				this.dialogFormVisible1 = true
			},
			wanchengBtn() {
				if (this.radio == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择完成状态',
						type: 'warning'
					})
					return
				}
				this.$http({
					url: this.$http.adornUrl('postPush/updateResumesPushStatus'),
					method: 'post',
					params: this.$http.adornParams({
						'postPushId': this.shenheId,
						'status': this.radio
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.dialogFormVisible1 = false
						this.$message({
							message: '操作完成',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.InformationSelect()
							}
						})
					} else {
						this.$message({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}
				})
			},
			//  推荐接口 postPush/updatePostPushIsRecommend
			change3(isRecommend, row) {  
				this.$http({
					url: this.$http.adornUrl('postPush/updatePostPushIsTop'),
					method: 'post',
					params: this.$http.adornParams({
						'postPushId': row.postPushId
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '修改成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.InformationSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {}
						})
					}

				})
			},
			// 获取报名列表
			dataSelectBm() {
				// let postPushId = this.$route.query.postPushId
				// let postDetailsId = this.$route.query.postDetailsId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('postPush/selectResumesPushList'),
					method: 'get',
					params: this.$http.adornParams({
						'postPushId': '',
						'postDetailsId': '',
						'page': this.page,
						'limit': this.limit,
						'resumesName': this.resumesName,
						'resumesPhone': this.resumesPhone,
						'classify': 1,
						'resumesMarriage': this.resumesMarriage,
						'resumesMajor': this.resumesMajor,
						'resumesPost': this.resumesPost,
						'resumesWorkExperience': this.resumesWorkExperience,
						'resumesCompensation': this.resumesCompensation,
						'resumesAge': this.resumesAge,
						'resumesEducation': this.resumesEducation,
						'projectName': this.projectName,
						'projectAward': this.projectAward,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.tableData = returnData
				})
			},
			// 查询
			phoneSelectBm() {
				this.page = 1
				this.dataSelectBm()
			},
			// 重置
			cleansBm() {
				this.resumesName = ''
				this.resumesPhone = ''
				this.resumesEducation = ''
				this.resumesMajor = ''
				this.resumesWorkExperience = ''
				this.resumesPost = ''
				this.resumesCompensation = ''
				this.resumesMarriage = ''
				this.resumesAge = ''
				this.projectName = ''
				this.projectAward = ''
				this.page = 1
				this.dataSelectBm()
			},
			// 专业
			zySelect() {
				// this.$http({
				// 	url: this.$http.adornUrl('sys/dict/selectDictList'),
				// 	method: 'get',
				// 	params: this.$http.adornParams({
				// 		'type': '专业'
				// 	})
				// }).then(({
				// 	data
				// }) => {
				// 	let returnData = data.data
				// 	this.zyData = returnData
				// })
				this.$http({
					url: this.$http.adornUrl('rule/selectRulePostList'),
					method: 'post',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': 50,
						'rulePostName': this.rulePostNameT,
						'ruleClassifyId': this.ruleClassifyId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading4 = false
					let returnData = data.data.list
					this.zyData = returnData
				})
			},
			// 职位
			zwSelect() {
				this.$http({
					url: this.$http.adornUrl('rule/selectRuleClassifyList'),
					method: 'get',
					params: this.$http.adornParams({
						'ruleClassifyName': '',
						'status': '',
						'page': 1,
						'limit': 1000
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.zwData = returnData.list
				})
			},
			// 工作经验
			gzjySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '工作经验'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.gzjyData = returnData
				})
			},
			// 学历
			xlSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '学历'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.xlData = returnData
				})
			},
			// 婚姻状态
			hySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '婚姻状况'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.hyData = returnData
				})
			},
			// 期望薪资
			qwxzSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '薪资'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.qwxzData = returnData
				})
			},
			// 项目甲方
			xmjfSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '项目甲方'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.xmjfData = returnData
				})
			},
			// 项目类型
			xmlxSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '项目类型'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.xmlxData = returnData
				})
			},
			
			// 福利项目
			flxmSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '项目福利'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.flxmData = returnData
				})
			},
			// 推送简历
			tuisongClicks(row) {
				this.$confirm(`确定加入待推送列表?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('postPush/removalResumes'),
						method: 'post',
						params: this.$http.adornParams({
							'resumesPushId': row.resumesPushId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '操作成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelectBm()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {}
							})
						}

					})
				}).catch(() => {})
			},
			// 查看电话
			phoneClicks(row) {
				this.resumesPhoneP = row.resumesPhone
				this.resumesNameP = row.resumesName
				this.dialogFormVisiblePh = true
			},
			// 删除简历信息
			choideleteJl(row) {
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('postPush/cleanResumesPush'),
						method: 'post',
						params: this.$http.adornParams({
							'resumesPushId': row.resumesPushId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelectBm()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {}
							})
						}

					})
				}).catch(() => {})
			},
			// 岗位筛选
			selectG(e) {
				console.log('````', e)
				this.page = 1

				this.resumesPost = e.ruleClassifyName
				this.ruleClassifyId = e.ruleClassifyId

				if (this.ruleClassifyId != '') {
					this.isshow = false
					this.zySelect()
				}
				this.dataSelectBm()
			},
			// 获取精准推送待审核数据
			dataSelectJzts() {
				this.$http({
					url: this.$http.adornUrl('postPush/selectPostPushList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': 1,
						'limit': 10,
						'userName': '',
						'classify': 2,
						'status': 1,
						'companyName': '',
						'phone': '',
						'address':'',
						'projectName': '',
						'projectAward': '',
					})
				}).then(({
					data
				}) => {
					if (data.data) {
						this.$cookie.set('numberJzts', data.data.total)
					}
				})
			},
		},
		mounted() {
			this.InformationSelect()
			this.zySelect()
			this.gzjySelect()
			this.xlSelect()
			this.hySelect()
			this.qwxzSelect()
			this.zwSelect()
			this.xmjfSelect()
			this.flxmSelect()
			this.xmlxSelect()
		}
	}
</script>

<style>
	.customWidth {
		width: 80% !important;
	}

	.adver_main.box {
		display: block;
		max-width: 100%;
		text-align: center;
		border: 1px dotted rgba(67, 79, 103, .4);
	}

	.cards {
		padding: 0 8px;
		margin-bottom: 15px;
	}

	.adver_main.box a {
		display: flex;
		justify-content: center;
		height: 150px;
		line-height: 150px;
		text-decoration: none
	}

	.bannerManin {
		border: 1px solid #e8e8e8;
		font-size: 14px;
		padding: 0 24px;
		display: flex;
		justify-content: center;
		align-items: center;
		height: 113px;
		color: rgba(0, 0, 0, .65);
	}

	.bannerManin span {
		display: inline-block;
		margin-left: 5px;
	}

	.bannerManin img {
		width: 48px;
		height: 48px;
		border-radius: 50%;
	}

	.bannerbtn {
		display: flex;
		border-top: none !important;
		border: 1px solid #e8e8e8;
		padding: 11px;
		font-size: 14px;
		color: #3E8EF7;
	}

	.bannerbtn a {
		flex: 1;
		text-align: center;
		color: #3E8EF7 !important;
		text-decoration: none;
	}

	.imgs {
		position: relative;
		border-radius: 6px;
		width: 148px;
		height: 148px;
		margin-right: 10px;
		display: inline-block;
	}

	.dels {
		position: absolute;
		top: 0;
		left: 0;
		display: none;
	}

	.dels .el-icon-delete {
		line-height: 148px;
		padding-left: 58px;
		font-size: 25px;
		color: #fff;
	}

	.imgs:hover .dels {
		width: 100%;
		height: 100%;
		background: #000;
		display: block;
		opacity: 0.5;
	}

	.bqList {
		padding: 4px 14px;
		margin: 4px;
		border: 1px solid #efefef;
		font-size: 12px;
		color: #999;
		border-radius: 4px;
		margin-right: 15px;
	}

	.delss {
		display: none;
		position: relative;
	}

	.delss .el-icon-delete {
		position: absolute;
		top: 0;
	}

	.bqList:hover .delss {
		display: initial;
		opacity: 0.5;

	}

	.tj {
		padding: 6px !important;
		margin: 4px;
		font-size: 12px;
		border: 1px solid #ccc;
		border-radius: 4px;
	}

	.box {
		padding: 44px;
		border: 1px solid #eee;
		margin: 15px 10px;
	}

	.box_num {
		font-size: 14px;
		color: #66b1ff;
	}

	.box_num .box_color {
		color: #333;
		font-size: 14px;
		margin-bottom: 15px;
	}

	.box_num div span {
		font-size: 20px;
		margin-left: 5px;
	}

	.text_color {
		color: #4f9dec;
	}

	.text_color span {
		margin-right: 5px;
	}
</style>
